$(document).ready(function() {
	
	
	//this applies a date mask to any input with class="date-input"
	//$('.date-input').mask("99/99/9999");

	//alphabetize the options in the LocationID select list
	$('#LocationID option:eq(0)').attr('selected','selected');
	function NASort(a, b) {    
	    if (a.innerHTML == 'NA') {
	        return 1;   
	    }
	    else if (b.innerHTML == 'NA') {
	        return -1;   
	    }       
	    return (a.innerHTML > b.innerHTML) ? 1 : -1;
	};
	$('#LocationID option').sort(NASort).appendTo('#LocationID');
	$('#LocationID option:selected').insertBefore($('#LocationID option:eq(0)'));
	$('#LocationID option:eq(0)').attr('selected','selected');

	//remove the school name from the program select options
	$("#LocationID option").each(function() {
        this.innerHTML = this.innerHTML.replace("School Name Goes Here - ","");
      });

	//Set the text that shows for the LocationID and CurriculumID select fields
	$('#CurriculumID option:eq(0)').text('Select a program');
	$('.locationradio').change(function() {
		$('#CurriculumID option:eq(0)').text('Select a program');
	});

    //Clear text on inline textarea labels
    var commentsInitialText = $('#comments').val();
    $('#comments').click(function() {
    	if($(this).val().length == commentsInitialText) {
		}
		else {
			$(this).text("");
		}
	});
	$('#comments').blur(function() {
		if($(this).val().length == 0) {
			$(this).text(commentsInitialText);
		}
		else {
		}
	});
	
	
	//make selects wider on click so that options aren't cut off in IE8
		//make selects wider on click so that options aren't cut off in IE8
	if (navigator.userAgent.match(/MSIE\s(?!9.0)/)) {
		$("#LocationID").mousedown(function(){
				$(this).css("width", "350px");
			}).focusout(function(){
				$(this).css("width", "100%");
			}).change(function(){
				$(this).css("width", "100%");
			}); 
		$("#CurriculumID").mousedown(function(){
				$(this).css("width", "350px");
			}).focusout(function(){
				$(this).css("width", "100%");
			}).change(function(){
				$(this).css("width", "100%");
			}); 
	}
	
	$("#quick-form input, #quick-form select").mouseenter(function() {
		$(this).next("label.error").fadeOut();
	});
	
	
	// Inline labels for inputs
	$("#quick-form input[type=text]").attr('value', function(){return this.title}).addClass('unfilled');
	$("#quick-form input[type=text]").focus(function() {
		if (this.value == this.title)
			$(this).val('').removeClass('unfilled');
	});
	$("#quick-form input[type=text]").blur(function() {
		if (this.value == '')
			$(this).attr('value', function(){return this.title}).addClass('unfilled');
	});

	// Check input value against inline label
	$.validator.addMethod("checkLabel", function( value, element ) {
		return this.optional(element) || value != element.title;
	}, "Please enter a value.");

	$.validator.addMethod("checkPhoneValue", function(value) {
		var invalidPhoneNumbers = ['(000) 000-0000', '(111) 111-1111', '(222) 222-2222', '(333) 333-3333', "(444) 444-4444", "(555) 555-5555", "(666) 666-6666", "(777) 777-7777", "(888) 888-8888", "(999) 999-9999", "(123) 456-7890"];
	    return $.inArray(value, invalidPhoneNumbers) == -1;
	}, 'Please enter valid phone number.');
	
	

	// Validation
	$("#quick-form").validate({
		ignore: ":hidden",
		rules: {
			LocationID: {
				required: true
			},
			CurriculumID: {
				required: true
			},
			firstname: {
				required: true,
				checkLabel: true
			},
			lastname: {
				required: true,
				checkLabel: true
			},
			dayphone: {
				required: true,
				phoneUS: true,
				checkLabel: true,
				checkPhoneValue: true
			},
			email: {
				required: true,
				email: true,
				checkLabel: true
			}
		},
		messages: {
			LocationID: "!",
			CurriculumID: "!",
			firstname: "!",
			lastname: "!",
			dayphone: "!",
			email: "!"
		}
	});

});
